Device Management API
Get Device List
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| residence_id | String | Body | Residence ID |
| family_name | String | Body | Family name |
| residence_no | String | Body | Residence number |
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| mac | String | Body | MAC |
| connected_time | String | Body | Connected time, UTC |
| first_name | String | Body | First name |
| last_name | String | Body | Last name |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| sip | String | Body | SIP |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_device_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724802057424,
"result": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"mac": "C10519082089",
"connected_time": "2024-01-26 04:59:20",
"first_name": "Fly",
"last_name": "Dom",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"sip": "123132312",
"device_type": "Multi-tenants Doorphone"
}
]
}
Failure Return Example
Get Device Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| residence_id | String | Body | Residence ID |
| family_name | String | Body | Family name |
| residence_no | String | Body | Residence number |
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
| device_name | String | Body | Device name |
| mac | String | Body | MAC |
| connected_time | String | Body | Connected time, UTC |
| first_name | String | Body | First name |
| last_name | String | Body | Last name |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| sip | String | Body | SIP |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control |
| allow_monitor | Boolean | Body | Whether the device allowed monitor or not? true: allowed false: not allowed |
| is_public | Boolean | Body | Whether the device is public or not? true: yes false: no |
| relays | []Object<relay> | Body | Relay information |
| security_relays | []Object<relay> | Body | Security relay information |
| firmware_version | String | Body | Firmware version |
| hardware_version | String | Body | Hardware version |
| ip_address | String | Body | IP address |
| subnet_mask | String | Body | Subnet mask |
| gateway | String | Body | Gateway |
| primary_dns | String | Body | Primary DNS |
| secondary_dns | String | Body | Secondary DNS |
| permission_buildings | []Object<permission_building> | Body | Permission building information |
permission_building description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
relay description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| relay_name | String | Body | Relay name |
| relay_number | String | Body | Relay number |
| relay_id | String | Body | Relay ID |
| enable | Boolean | Body | Whether the relay is enable or not? true: enable false: disable |
| access_control | Object<access_control> | Body | Access control |
| show_home | Boolean | Body | Whether the home is showed or not? true: showed false: not showed |
| show_talking | Boolean | Body | Whether the talking is showed or not? true: showed false: not showed |
| schedule | Object<schedule> | Body | Schedule information |
access_control description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| enable_pin | Boolean | Body | Whether the PIN is enable or not? true: enable false: disable |
| enable_rf_card | Boolean | Body | Whether the RF card is enable or not? true: enable false: disable |
| enable_face | Boolean | Body | Whether the face is enable or not? true: enable false: disable |
| enable_ble | Boolean | Body | Whether the ble is enable or not? true: enable false: disable |
| enable_nfc | Boolean | Body | Whether the NFC is enable or not? true: enable false: disable |
schedule description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| enable | Boolean | Body | Whether the schedule is enable or not? true: enable false: disable |
| access | []String | Body | Access |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d131adc223cc4b3bedb6bd4742dedcfa5",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724802105380,
"result": {
"device_name": "test",
"mac": "C10519082089",
"connected_time": "2024-01-26 04:59:20",
"first_name": "Fly",
"last_name": "Dom",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"sip": "123132312",
"device_type": "Multi-tenants Doorphone",
"allow_monitor": true,
"is_public": true,
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2",
"enable": true,
"access_control": {
"enable_pin": true,
"enable_rf_card": true,
"enable_face": true,
"enable_ble": true,
"enable_nfc": true
},
"show_home": true,
"show_talking": true,
"schedule": {
"enable": false,
"access": []
}
}
],
"security_relays": [],
"firmware_version": "71.123.37.5",
"hardware_version": "1.0",
"ip_address": "192.168.18.171",
"subnet_mask": "255.255.255.0",
"gateway": "192.168.18.1",
"primary_dns": "",
"secondary_dns": "",
"permission_buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
]
}
}
Failure Return Example
Update Device Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| device_id | String | Body | Yes | Device ID |
| device_name | String | Body | Yes | Device name |
| mac | String | Body | Yes | MAC |
| allow_monitor | Boolean | Body | Yes | Whether the device allowed monitor or not? true: allowed false: not allowed |
| relays | []Object<relay> | Body | No | Relay information |
| security_relays | []Object<relay> | Body | No | Security relay information |
relay description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| relay_name | String | Body | Yes | Relay name |
| relay_number | String | Body | Yes | Relay number |
| relay_id | String | Body | Yes | Relay ID |
| enable | Boolean | Body | Yes | Whether the relay is enable or not? true: enable false: disable |
| access_control | Object<access_control> | Body | Yes | Access control |
| show_home | Boolean | Body | Yes | Whether the home is showed or not? true: showed false: not showed |
| show_talking | Boolean | Body | Yes | Whether the talking is showed or not? true: showed false: not showed |
| schedule | Object<schedule> | Body | Yes | Schedule information |
access_control description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| enable_pin | Boolean | Body | Yes | Whether the PIN is enable or not? true: enable false: disable |
| enable_rf_card | Boolean | Body | Yes | Whether the RF card is enable or not? true: enable false: disable |
| enable_face | Boolean | Body | Yes | Whether the face is enable or not? true: enable false: disable |
| enable_ble | Boolean | Body | Yes | Whether the ble is enable or not? true: enable false: disable |
| enable_nfc | Boolean | Body | Yes | Whether the NFC is enable or not? true: enable false: disable |
schedule description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| enable | Boolean | Body | Yes | Whether the schedule is enable or not? true: enable false: disable |
| access | []String | Body | Yes | Access |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa22",
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"mac": "C10519082089",
"device_name": "test",
"allow_monitor": true,
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2",
"enable": true,
"access_control": {
"enable_pin": true,
"enable_rf_card": true,
"enable_face": true,
"enable_ble": true,
"enable_nfc": true
},
"show_home": true,
"show_talking": true,
"schedule": {
"enable": false,
"access": []
}
}
],
"security_relays": []
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Call History
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| caller_name | String | Body | Caller name |
| callee_name | String | Body | Callee name |
| call_time | String | Body | Call time |
| call_duration | Integer | Body | Call duration time (s) |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_call_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"caller_name": "IT83_alq_180",
"callee_name": "Jim",
"call_time": "2024-01-16 17:32:43",
"call_duration": 10
}
]
}
Failure Return Example
Get Open Door History
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| open_door | Boolean | Body | Whether the door opening is successful or not? true: success false: failure |
| account_name | String | Body | Account name |
| device_name | String | Body | Device name |
| capture_thumbnail_url | String | Body | Capture thumbnail URL |
| open_door_type | String | Body | Open door type |
| capture_picture_url | String | Body | Capture picture URL |
| open_door_time | String | Body | Open door time |
| residence_id | String | Body | Residence ID |
| family_name | String | Body | Family name |
| residence_no | String | Body | Residence number |
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_open_door_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"start_time": "2024-01-16 13:32:45",
"finish_time": "2024-01-17 13:32:45",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"open_door": true,
"account_name": "tom",
"device_name": "R29",
"capture_thumbnail_url": "https://test.akuvox.com/r.jpg",
"open_door_type": "",
"capture_picture_url": "https://test.akuvox.com/d.jpg",
"open_door_time": "2024-01-16 15:25:45",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01"
}
]
}
Failure Return Example
Batch Trigger Remote Open Door
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| devices | []Object<device> | Body | Yes | Device information |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| mac | String | Body | Yes | MAC |
| relay_id | String | Body | Yes | Relay ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_trigger_remote_open_door",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"devices": [
{
"mac": "0C110508EF2E",
"relay_id": "rr31adc223cc4b3bedb6bd4742dedcfa5"
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Configure Device Autop
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| mac | String | Body | Yes | MAC |
| config | String | Body | Yes | Config |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "configure_device_autop",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": [
{
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"mac": "0C110508EF2E",
"config": "test"
}
]
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}